
function createMap(data, divId, projection, w, h) {
  //Create SVG element
  var mapSvg = d3.select(divId).append("svg")
  	.attr("width", w)
	  .attr("height", h);

  var path = d3.geoPath()
    .projection(projection);
  
  mapSvg.append("path")
    .datum(data)
    .attr("d", path)
    .style("stroke", "black")
    .style("fill", "none");
}

function processData(data) {
  var w = 800;
  var h = 400;
	let jsonData = data[0];
  let csvData = data[1];
  // just use the main US projection
  var projection1 = d3.geoAlbersUsa()
    .fitSize([w,h], data)

  // MA state plane projection
  var projection2 = d3.geoConicConformal()

  createMap(data, "#map1", projection1, w, h);
  createMap(data, "#map2", projection2, w, h);
}
const svg= d3.select('svg');
const proj = d3.geoConicConformal();
const pathGen = d3.geoPath().projection(proj);

Promise.all([
  d3.json("https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-towns.json")
  //,d3.csv("https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-housing-affordability.csv")]
	.then(data => {
    console.log(data);
    const town = data.name;
    console.log(data.properties.TOWN_ID);
    svg.selectAll('path')
    .data(town)
    .enter().append('path')
    .attr('d',d => pathGen(d));  
  })
]); 

/*
//, geoAlbersUsa
 Promise.all([
  d3.json("https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-towns.json"),
  d3.csv("https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-housing-affordability.csv")
  .then(processData)
   ]);
  
/*
  d3.csv("https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-housing-affordability.csv")])
  .then(processData)=> {
    const town = tsvData.reduce((accumulator, d) => {
    accumulator[d.mini_id] = d.minicipal;
    return accumulator;
  }, )}; */
/*
Promise.all([
  tsv('https://unpkg.com/world-atlas@1.1.4/world/50m.tsv'),
  json('https://unpkg.com/world-atlas@1.1.4/world/50m.json')
]).then(([tsvData, topoJSONdata]) => {
  
  const countryName = tsvData.reduce((accumulator, d) => {
    accumulator[d.iso_n3] = d.name;
    return accumulator;
  }, {}); */
